## libqrtr-glib 1.2.2

=== meson_options.txt ===
# SPDX-License-Identifier: LGPL-2.1-or-later
# Copyright (C) 2021 Iñigo Martinez <inigomartinez@gmail.com>

option('introspection', type: 'boolean', value: true, description: 'build introspection support')
option('gtk_doc', type: 'boolean', value: true, description: 'use gtk-doc to build documentation')

=== debian/changelog ===
libqrtr-glib (1.2.2-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (lp: #2130172). Remaining changes:
    - debian/tests: include a basic autopkgtest for the library

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Oct 2025 09:13:50 +0100

libqrtr-glib (1.2.2-2) unstable; urgency=medium

  * d/gbp.conf: switch Debian branch to debian/latest.
    Also add a few more defaults (copied from libqmi) for consistency.
  * d/watch: convert to version 5.
    Use the new Gitlab template for easier management, but override the
    matching pattern so we only get stable (pre)releases, which have an even
    minor version number. (Closes: #1081060)
  * d/control: modernize build dependencies
    `libgirepository1.0-dev` shouldn't be used anymore as it isn't
    multiarch-friendly. Instead, use a recent `gobject-introspection` and
    explicitly (build) depend on the needed `gir1.2-*-dev` packages.
    Similarly, `pkg-config` has been deprecated in favor of `pkgconf`.
    While at it, drop the now-obsolete `Rules-Requires-Root` and bump
    `Standards-Version` as no other change is needed. (Closes: #1118881)
  * debian: drop now-unneeded lintian overrides
  * d/copyright: fix small issues.
    One of the `meson.build` files is mentioned with a wrong path. Moreover,
    the GPL-2+ text still mentions the (old) FSF street address, replace it
    with the usual reference to http://www.gnu.org/licenses/.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 28 Oct 2025 13:03:28 +0100

libqrtr-glib (1.2.2-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:12:10 +0000

libqrtr-glib (1.2.2-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:28:26 +0000

libqrtr-glib (1.2.2-1ubuntu2) noble; urgency=medium

  * No change upload to restore the i386 build

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Jan 2024 16:43:05 +0100

libqrtr-glib (1.2.2-1ubuntu1) kinetic; urgency=medium

  * debian/tests: include a basic autopkgtest for the library

 -- Sebastien Bacher <seb128@debian.org>  Fri, 20 May 2022 17:10:31 +0200

libqrtr-glib (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * d/watch: watch for git tags instead of release tarballs.
    Upstream doesn't publish release tarballs anymore, but instead relies
    on git tags now. Update the `watch` file accordingly.
  * debian: switch build system to meson.
    Upstream dropped support for autotools-based builds starting with
    version 1.2.0 in favor of meson. This requires the following changes on
    our side:
    - change configure flags
    - modify build dependencies to depend on `meson` instead of
      `autoconf-archive`
    - add corresponding new copyright entries and update global project
      license
    While doing so, this commit also bumps the `glib2.0` minimum version
    to reflect upstream changes and drops an unnecessary dependency on
    `debhelper`.
  * d/upstream: remove signing key.
    With the move to git tags-based releases, tarballs are no longer signed.
    Therefore we can drop our copy of the upstream signing key.
  * d/libqrtr-glib-dev: don't install static library.
    It isn't generated anymore.
  * d/rules: drop obsolete override.
    With the build system change, overriding `dh_missing` isn't needed
    anymore: the files we used to exclude are no longer created.
  * d/libqrtr-glib-doc: rename README and add lintian override.
    Reflect the renaming of `README` to `README.md`.
    Moreover, documentation generated by `gtk-doc` is installed to
    `/usr/share/gtk-doc` as expected. Add a corresponding lintian override,
    otherwise it will complain about docs installed outside
    `/usr/share/doc`.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 19 Feb 2022 14:33:19 +0100

libqrtr-glib (1.0.0-2) unstable; urgency=medium

  [ Federico Ceratto ]
  * Use secure copyright file specification URI.
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Repository.

  [ Evangelos Ribeiro Tzaras ]
  * d/copyright: Mention docs under GFDL-1.3+

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 02 Feb 2022 20:07:22 +0100

libqrtr-glib (1.0.0-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #985113)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 04 Nov 2021 17:17:49 +0100

=== debian/control ===
Source: libqrtr-glib
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Guido Günther <agx@sigxcpu.org>,
           Henry-Nicolas Tourneur <debian@nilux.be>,
           Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gobject-introspection (>= 1.80),
               gtk-doc-tools,
               libglib2.0-dev (>= 2.56),
               meson,
               pkgconf,
               python3:any,
Build-Depends-Indep: libglib2.0-doc <!nodoc>
Standards-Version: 4.7.2
Section: libs
Homepage: https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib/
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libqrtr-glib.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libqrtr-glib/

Package: libqrtr-glib0
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Support library to use the QRTR protocol
 glib-based library to use and manage the QRTR (Qualcomm IPC Router) bus.
 .
 This package contains the shared library.

Package: libqrtr-glib-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libglib2.0-dev,
         libqrtr-glib0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides}
Suggests: libqrtr-glib-doc,
Description: Development files for libqrtr-glib
 glib-based library to use and manage the QRTR (Qualcomm IPC Router) bus.
 .
 This package contains the library headers and development files.

Package: libqrtr-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Suggests: devhelp,
Build-Profiles: <!nodoc>
Description: API documentation for libqrtr-glib
 glib-based library to use and manage the QRTR (Qualcomm IPC Router) bus.
 .
 This package contains the API documentation.

Package: gir1.2-qrtr-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for libqrtr-glib
 glib-based library to use and manage the QRTR (Qualcomm IPC Router) bus.
 .
 This package contains the GObject-introspection data in binary typelib format.

=== debian/tests/control ===
Tests: build
Depends: build-essential, pkg-config, libqrtr-glib-dev
Restrictions: allow-stderr superficial

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.freedesktop.org/mobile-broadband/@PACKAGE@
Matching-Pattern: .*(\d+\.\d?[02468](\.\d*)?(\-(alpha|beta|rc))?\d*)

## libqrtr-glib 1.4.0

=== debian/changelog ===
libqrtr-glib (1.4.0-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/tests: include a basic autopkgtest for the library

  [ Guido Günther ]
  * New upstream release
  * Switch to gi-docgen

  [ Arnaud Ferraris ]
  * d/watch: drop custom matching pattern.
    This was supposed to be clever (avoiding reporting dev versions), but it
    actually reports a wrong version number, so let's just drop it and
    revert back to default behaviour.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Jan 2026 18:55:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: libqrtr-glib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Guido Günther <agx@sigxcpu.org>,
            Henry-Nicolas Tourneur <debian@nilux.be>,
            Martin <debacle@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gobject-introspection (>= 1.80),
-               gtk-doc-tools,
                libglib2.0-dev (>= 2.56),
                meson,
                pkgconf,
                python3:any,
-Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Build-Depends-Indep: gi-docgen <!nodoc>,
+                     libglib2.0-doc <!nodoc>
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib/
@@ -25,7 +25,6 @@
 Package: libqrtr-glib0
 Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: Support library to use the QRTR protocol
@@ -53,7 +52,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Suggests: devhelp,
 Build-Profiles: <!nodoc>
 Description: API documentation for libqrtr-glib
  glib-based library to use and manage the QRTR (Qualcomm IPC Router) bus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.freedesktop.org/mobile-broadband/@PACKAGE@
